<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class ReleaseSeeder extends Seeder
{
    public function run()
    {
        $this->db->query('SET FOREIGN_KEY_CHECKS = 0;');

        $this->call('UserSeeder');
        $this->call('SchoolSettingsSeeder');
        $this->call('ViolationCategoriesSeeder');
        $this->call('ViolationRulesSeeder');
        $this->call('ViolationSanctionsSeeder');

        $this->db->query('SET FOREIGN_KEY_CHECKS = 1;');
    }
}
